
set echo on

CREATE FUNCTION pay_status (
                sal_in IN NUMBER
                ) RETURN VARCHAR2 IS
BEGIN
   RETURN CASE 
             WHEN sal_in < 1000
             THEN 'Low paid'
             WHEN sal_in BETWEEN 1001 AND 2000
             THEN 'Reasonably well paid'
             WHEN sal_in BETWEEN 2001 AND 3001
             THEN 'Well paid'
             ELSE 'Overpaid'
          END;
END;
/

col pay_status format a20

SELECT ename
,      pay_status(sal) AS pay_status
FROM   emp;
